const interactiveArea = document.querySelector('.interactive-area');

interactiveArea.addEventListener('click', (e) => {
  const clickEffect = document.createElement('div');
  clickEffect.classList.add('click-effect');
  clickEffect.style.left = `${e.clientX - 25}px`;
  clickEffect.style.top = `${e.clientY - 25}px`;
  interactiveArea.appendChild(clickEffect);

  setTimeout(() => {
    clickEffect.remove();
  }, 500);
});